Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1262)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1272)
@@ -1256,2 +1256,32 @@
   IGCM_debug_PopStack "IGCM_sys_ListJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1262)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ciclad.ksh	(revision 1272)
@@ -1216,2 +1216,32 @@
   IGCM_debug_PopStack "IGCM_sys_CountJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1262)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1272)
@@ -1640,2 +1640,32 @@
   IGCM_debug_PopStack "IGCM_sys_ListJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \ccc_mprun atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1262)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1272)
@@ -1153,2 +1153,32 @@
   IGCM_debug_PopStack "IGCM_sys_CountJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1262)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1272)
@@ -1190,2 +1190,32 @@
   IGCM_debug_PopStack "IGCM_sys_CountJobInQueue"
 }
+
+#D-#==================================================
+#D-function IGCM_sys_atlas
+#D-* Purpose: encapsulate atlas call so as to manage error code and curie specificity
+#D-* Examples:
+#D-
+function IGCM_sys_atlas {
+  IGCM_debug_PushStack "IGCM_sys_atlas" $@
+  if ( $DEBUG_sys ) ; then
+    echo "IGCM_sys_atlas :" $@
+  fi
+
+  typeset status
+
+  \atlas $@ > ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$ 2>&1
+  status=$?
+  if [ ${status} -gt 0 ] ; then
+    echo "IGCM_sys_atlas : error code ${status}"
+    cat ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    \rm ${OUTCOMMAND_PATH}/out_command_${LOGIN}.$$
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 1
+  else
+    IGCM_debug_PopStack "IGCM_sys_atlas"
+    return 0
+  fi
+
+  IGCM_debug_PopStack "IGCM_sys_atlas"
+}
+
